DUMRESP(1)

NAME
dumresp - A dumb DNS responder

SYNOPSIS

dumresp LOCAL-ADDRESS LOCAL-PORT NUMBER-OF-PROCESSES [tcp]

DESCRIPTION

dumresp accepts DNS packets on LOCAL-ADDRESS:LOCAL-PORT and simply replies with the same query, with the QR bit set. When NUMBER-OF-PROCESSES is set to anything but 1, dumresp will spawn NUMBER-OF-PROCESSES forks and use the SO_REUSEPORT option to bind to the port.

OPTIONS

tcp: Whether to listen and accept TCP connections in addition to UDP packets. Defaults to false.

SEE ALSO

socket(7)

AUTHOR
PowerDNS.COM BV

COPYRIGHT
2001-2022, PowerDNS.COM BV